# -*- coding: utf-8 -*-
# Generated by Django 1.11.8 on 2023-12-01 08:44
from __future__ import unicode_literals

import accounting.common.mixins
from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields


class Migration(migrations.Migration):

    dependencies = [
        ('account', '0006_taxcomponent'),
        ('invoice', '0011_clientinfo'),
    ]

    operations = [
        migrations.CreateModel(
            name='LineItemTaxComponent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('hourly_rate_tax', models.ForeignKey(help_text='The hourly rate tax component', on_delete=django.db.models.deletion.CASCADE, to='account.TaxComponent')),
                ('line_item', models.ForeignKey(help_text='The line item to which this tax component is applicable.', on_delete=django.db.models.deletion.CASCADE, related_name='line_item_taxes', to='invoice.LineItem')),
            ],
            options={
                'abstract': False,
            },
            bases=(accounting.common.mixins.ValidateModelMixin, models.Model),
        ),
        migrations.AlterField(
            model_name='clientinfo',
            name='account_names',
            field=models.TextField(help_text='The account names used by the client.                                                  Multiple account names should be separated by a comma.'),
        ),
        migrations.AlterField(
            model_name='clientinfo',
            name='client_emails',
            field=models.TextField(help_text='The email addresses of the client.                                                  Multiple emails should be seperated by comma.'),
        ),
    ]
